Freeciv-3.3: packet_ruleset_terrain_control Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_ruleset_terrain_control Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | ocean_reclaim_requirement_pct
int | land_channel_requirement_pct
int | terrain_thaw_requirement_pct
int | terrain_freeze_requirement_pct
int | lake_max_size
int | min_start_native_area
int | move_fragments
int | igter_cost
bool | pythagorean_diagonal
bool | infrapoints
char | gui_type_base0 [MAX_LEN_NAME]
char | gui_type_base1 [MAX_LEN_NAME]

## Detailed Description

Definition at line 1099 of file packets_gen.h.

## Field Documentation

## ◆ gui_type_base0

char packet_ruleset_terrain_control::gui_type_base0[MAX_LEN_NAME]

Definition at line 1110 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ gui_type_base1

char packet_ruleset_terrain_control::gui_type_base1[MAX_LEN_NAME]

Definition at line 1111 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ igter_cost

int packet_ruleset_terrain_control::igter_cost

Definition at line 1107 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ infrapoints

bool packet_ruleset_terrain_control::infrapoints

Definition at line 1109 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ lake_max_size

int packet_ruleset_terrain_control::lake_max_size

Definition at line 1104 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ land_channel_requirement_pct

int packet_ruleset_terrain_control::land_channel_requirement_pct

Definition at line 1101 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ min_start_native_area

int packet_ruleset_terrain_control::min_start_native_area

Definition at line 1105 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ move_fragments

int packet_ruleset_terrain_control::move_fragments

Definition at line 1106 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ ocean_reclaim_requirement_pct

int packet_ruleset_terrain_control::ocean_reclaim_requirement_pct

Definition at line 1100 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ pythagorean_diagonal

bool packet_ruleset_terrain_control::pythagorean_diagonal

Definition at line 1108 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ terrain_freeze_requirement_pct

int packet_ruleset_terrain_control::terrain_freeze_requirement_pct

Definition at line 1103 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().

## ◆ terrain_thaw_requirement_pct

int packet_ruleset_terrain_control::terrain_thaw_requirement_pct

Definition at line 1102 of file packets_gen.h.

Referenced by send_packet_ruleset_terrain_control_100().